DocsAPI ReferenceEmailer/bff/emailer/template-add
postEmailerAdmin BFF

/bff/emailer/template-add

Creates a new email template and optionally assigns it to an order group and status.

EmailerpostBffEmailerTemplate-add

Parameters

8 body

8 total
Body · 8
templateTypeCodestringRequired

Template type code (e.g. order-confirmation).

templateCodestringRequired

Unique code identifier for the template.

templateCodeVariantstring

Optional variant suffix for the template code.

namestringRequired

Human-readable template name.

subjectstringRequired

Default email subject line.

localestringRequired

Communication locale code used to filter content.

Supported locales: cs, en, fr, it, pl, de, sk, sv, es, zh, ja, uk, da.

Length: 22
groupCodestring

Order group code to auto-assign the template to.

statusCodestring

Order status code to auto-assign the template to.

Request

POST /bff/emailer/template-add

post
curl -X POST "https://api.bizkithub.com/bff/emailer/template-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "templateTypeCode": "order-confirmation",
  "templateCode": "order-confirmed-v1",
  "templateCodeVariant": "example_templateCodeVariant",
  "name": "Order Confirmation",
  "subject": "Your order has been confirmed",
  "locale": "cs",
  "groupCode": "example_groupCode",
  "statusCode": "example_statusCode"
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key